The WebIssues Client Manual
Desktop client for the WebIssues system
Home » Installation Guide
« Compiling on Linux

## Compiling on Windows

You must have the Qt/Windows Open Source Edition installed. By default it is compiled using the MinGW compiler. Since Qt 4.3.2 also Microsoft Visual C++ is supported and can be used to compile Qt libraries and programs using Qt.

If you are using MinGW, open the Qt Command Prompt. Go to the directory where you have unpacked WebIssues and run:

> configure.bat
> mingw32-make

If you are using Microsoft Visual C++, open the Visual Studio Command Prompt. Make sure that `QTDIR` is set to the path where Qt was installed. Go to the directory where you have unpacked WebIssues and run:

> set QTDIR=`C:\path\to\qt4`
> configure.bat
> nmake

Additional options that can be passed to the configure script:

`-prefix `DIR``

  Location where the package will be installed (default is `C:\Program Files\WebIssues`).

`-debug`

  Build the application in debugging mode (with symbols and without optimizations).

`-msvc`

  Generate a solution for Microsoft Visual Studio instead of Makefiles.

« Compiling on Linux

Copyright © 2007-2008 WebIssues Team